Subject: [bug#27876] [PATCH v2 1/3] cuirass: Store new information in database to prepare new HTTP API integration.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 10 Sep 2017 15:01:27 +0200

Heya Mathieu,

Mathieu Othacehe <[email-masked]> skribis:

>> With an autoincremented index, I suppose we might want to make sure that
>> ‘db-add-build’ does not add a new entry for a build that’s already in
>> the table.  WDYT?
>
> Yes we might, but looking for a build with the same
> derivation-evaluation-outputs before each build insertion will be an
> expensive operation (now that this tuple is no longer the primary key).

OK, but isn’t there a risk of recording the same set of derivations at
every evaluation?

Basically, between two subsequent evaluations, 99% of the derivations
are exactly the same (assuming an evaluation is triggered at each git
push, and each git push adds/modifies just a handful of packages).  If
we record new builds for these 99%, even though nothing has changed,
then that’s potentially bad, no?

Thanks,
Ludo’.